Skip to main content
POST
/
embedded-banking
/
v1
/
external-bank-accounts
/
{id}
/
link
Links an external bank account by initiating micro-deposit verification.
curl --request POST \
  --url https://api.sandbox.tesouro.com/embedded-banking/v1/external-bank-accounts/{id}/link \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountNumber": "<string>",
  "accountStatus": "ACTIVE",
  "nameOnAccount": "<string>",
  "nickname": "<string>",
  "routingNumber": "<string>",
  "type": "CHECKING",
  "verificationStatus": "UNVERIFIED"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Micro-deposit verification initiated.

Response representing an external bank account.

id
string<uuid>
required

Unique identifier for the external bank account.

accountNumber
string
required

Masked account number (last 4 digits visible).

accountStatus
enum<string>
required

Status of the external bank account.

Available options:
ACTIVE,
INACTIVE
nameOnAccount
string
required

Name on the bank account.

nickname
string
required

Nickname for the external bank account.

routingNumber
string
required

Bank routing number (ABA number).

type
enum<string>
required

Type of bank account (checking or savings).

Available options:
CHECKING,
SAVINGS
verificationStatus
enum<string>
required

Verification status of the external bank account.

Available options:
UNVERIFIED,
VERIFICATION_SENT,
VERIFIED,
FAILED